<?
if ($level != 4) {
  die('У вас нет прав доступа');
}

if (isset($ID)) {
  $category = $sql -> fetch("SELECT * FROM `shop_category` WHERE `id` = '$ID' LIMIT 1");
  $returnID = $category['id'];
} else {
  $category = array('name' => '', 'msg' => '', 'keywords' => '', 'goods' => '0');
}


if (isset($_POST['name']))
{
	$name = $sql->esc($_POST['name']);
	$opis = $sql->esc($_POST['msg']);
        $links = $sql->esc($_POST['links']);
	$keywords = $sql->esc($_POST['keywords']);
  $dir = '/';
  
  if (strlen2($name) > 32) {
    $err[] = 'Название категории слишком длинное';
  } elseif (strlen2($name) < 3) {
    $err[] = 'Название категории слишком короткое';
  }
  
  if (isset($_POST['id_category'])) {
    $create = $sql -> fetch("SELECT * FROM `shop_category` WHERE `id` = '".(int) $_POST['id_category']."' LIMIT 1");
    if ($create['id']) {
      $dir = $create['id_category'] . $create['id'] . '/';
      $returnID = $create['id'];
    }
  }
  
  $goods = (int) $_POST['goods'];

	if (!isset($err)) {
		if (isset($category['id'])) {
			$sql -> update("UPDATE `shop_category` SET `name` = '$name', `msg` = '$opis', `goods` = '$goods', `links` = '$links' WHERE `id` = '$category[id]' LIMIT 1");
			admin_log($user['id'], 'Магазин|Параметры категорий', "Изменение категории $name");
			$_SESSION['message'] = 'Параметры категории изменены';				
		} else {
			$sql -> insert("INSERT INTO `shop_category` (`name`, `msg`, `goods`, `id_category`, `keywords`) values('$name', '$opis', '$goods', '$dir', '$keywords')");
			admin_log($user['id'], 'Магазин|Параметры категорий', "Добавлена категория '$name', описание: $opis");
			$_SESSION['message'] = 'Категория успешно создана';	
		}

		header('Location: /?func=shop' . (isset($returnID) ? '&id=' . $returnID : ''));
		exit;		
	}
}

$system['title'] = 'Управление категориями';
require SYS . 'header.php';

?>
<style>
 .list_icon {
 	padding: 4px;
 }
</style>

<form class="form-horizontal" action="/?func=shop.categoryedit<?= (isset($category['id']) ? '&amp;id=' . $category['id'] : '')?>" method="POST" style="padding: 20px 0 20px 0;">

  <?= (isset($_GET['create']) ? '<input type=hidden name="id_category" value="' . (int) $_GET['create'] . '">' : '')?>

  <div class="control-group warning" >
    <label class="control-label" for="name">Название</label>
    <div class="controls">
      <input type="text" id="name" name="name" placeholder="Название категории.." value="<?= text($category['name'])?>" />
    </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="msg">Описание</label>
    <div class="controls">
      <textarea id="msg" name="msg" placeholder="Опишите раздел.."><?= text($category['msg'])?></textarea>
    </div>
  </div>

  <div class="control-group warning">
    <label class="control-label" for="links">Ссылка</label>
    <div class="controls">
      <textarea id="links" name="links" placeholder="Пропишите ссылку.."><?= text($category['links'])?></textarea>
    </div>
  </div>
  
  <div class="control-group warning">
    <label class="control-label" for="keywords">Ключевые слова (META)</label>
    <div class="controls">
      <input type="text" id="keywords" name="keywords" placeholder="Слова через запятую.." value="<?= text($category['keywords'])?>" />
    </div>
  </div>
  
  <div class="control-group warning">
  	<label class="control-label" for="goods">Добавление товара</label>
	  <div class="controls">
		<select name="goods" id="goods" class="span1" style="width: auto;">
  		<option value="1" <?= ($category['goods'] == 1 ? 'selected' : '')?>>Разрешить</option>
  		<option value="0" <?= ($category['goods'] == 0 ? 'selected' : '')?>>Запретить</option>
		</select>
	  </div>
  </div>
  
  <div class="control-group" style="margin: 0;">
    <div class="controls">
      <button type="submit" class="btn"> <?= (isset($category['id']) ? 'Изменить' : 'Создать')?></button>
    </div>
  </div>
</form>